Opened 8 months ago

Closed 8 months ago

Last modified 8 months ago

#27037 closed defect (fixed)

autoconf error

Reported by: boklm Owned by:
Priority: Medium Milestone: Tor: 0.3.5.x-final
Component: Core Tor/Tor Version:
Severity: Normal Keywords: regression
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

When trying to build tor master we get the following error, when running ./autogen.sh:

configure.ac:1811: warning: The macro `AC_WARN' is obsolete.
configure.ac:1811: You should run autoupdate.
../../lib/autoconf/oldnames.m4:33: AC_WARN is expanded from...
../../lib/m4sugar/m4sh.m4:550: AS_CASE is expanded from...
configure.ac:1811: the top level
configure.ac:1811: warning: The macro `AC_WARN' is obsolete.
configure.ac:1811: You should run autoupdate.
../../lib/autoconf/oldnames.m4:33: AC_WARN is expanded from...
../../lib/m4sugar/m4sh.m4:550: AS_CASE is expanded from...
configure.ac:1811: the top level
autoreconf: /usr/bin/autoconf failed with exit status: 1

It seems related to commit abde9fb426c7d6d0dbdaccc724c3b4257d99ad30 from #20424.

I am getting this error with autoconf 2.69-8.

Child Tickets

Change History (2)

comment:1 Changed 8 months ago by nickm

Keywords: regression added
Milestone: Tor: 0.3.5.x-final
Resolution: fixed
Status: newclosed

Sorry! This should be fixed in f90c0533777f2220cd6fb5ed07a5b63cd9c3e881

comment:2 Changed 8 months ago by boklm

I can confirm this fixed the issue. Thanks!

Note: See TracTickets for help on using tickets.